---
title: 'Using the :target pseudo-class in selectors'
slug: 'Web/CSS/CSS_Selectors/Using_the_:target_pseudo-class_in_selectors'
tags:
  - ':target'
  - CSS
  - Guide
  - Reference
  - Selectors
---
<div>{{CSSRef}}</div>

<p>When a URL points at a specific piece of a document, it can be difficult for the user to notice. Find out how you can use some simple CSS to draw attention to the target of a URL and improve the user's experience.</p>

<h2 id="Picking_a_Target">Picking a Target</h2>

<p>The <a href="/en/CSS/Pseudo-classes" title="Pseudo-classes">pseudo-class</a> {{cssxref(":target")}} is used to style the target element of a URL containing a fragment identifier. For example, the URL <code><span class="nowiki">http://developer.mozilla.org/en/docs/Using_the_:target_selector#example</span></code> contains the fragment identifier <code>#example</code>. In HTML, identifiers are found as the values of either <code>id</code> or <code>name</code> attributes, since the two share the same namespace. Thus, the example URL would point to the heading "example" in this document.</p>

<p>Suppose you wish to style any <code>h2</code> element that is the target of a URL, but do not want any other kind of element to get a target style. This is simple enough:</p>

<pre class="brush: css">h2:target { font-weight: bold; }</pre>

<p>It's also possible to create styles that are specific to a particular fragment of the document. This is done using the same identifying value that is found in the URI. Thus, to add a border to the <code>#example</code> fragment, we would write:</p>

<pre class="brush: css">#example:target { border: 1px solid black; }</pre>

<h2 id="Targeting_the_Root_Element">Targeting all elements</h2>

<p>If the intent is to create a "blanket" style that will apply to all targeted elements, then the universal selector comes in handy:</p>

<pre class="brush: css">:target { color: red; }
</pre>

<h2 id="Example">Example</h2>

<p>In the following example, there are five links that point to elements in the same document. Selecting the "First" link, for example, will cause <code>&lt;h1 id="one"&gt;</code> to become the target element. Note that the document may jump to a new scroll position, since target elements are placed on the top of the browser window if possible.</p>

<div id="example">
<pre class="brush: html">&lt;h4 id="one"&gt;...&lt;/h4&gt; &lt;p id="two"&gt;...&lt;/p&gt;
&lt;div id="three"&gt;...&lt;/div&gt; &lt;a id="four"&gt;...&lt;/a&gt; &lt;em id="five"&gt;...&lt;/em&gt;

&lt;a href="#one"&gt;First&lt;/a&gt;
&lt;a href="#two"&gt;Second&lt;/a&gt;
&lt;a href="#three"&gt;Third&lt;/a&gt;
&lt;a href="#four"&gt;Fourth&lt;/a&gt;
&lt;a href="#five"&gt;Fifth&lt;/a&gt;</pre>
</div>

<h2 id="Conclusion">Conclusion</h2>

<p>In cases where a fragment identifier points to a portion of the document, readers may become confused about which part of the document they're supposed to be reading. By styling the target of a URI, reader confusion can be reduced or eliminated.</p>

<h2 id="Related_Links">See also</h2>

<ul>
 <li>{{cssxref(":target")}}</li>
</ul>

<div class="originaldocinfo">
<h3 id="Original_Document_Information">Original Document Information</h3>

<ul>
 <li>Author(s): Eric Meyer, Standards Evangelist, Netscape Communications</li>
 <li>Original Copyright Information: Copyright © 2001-2003 Netscape. All rights reserved.</li>
 <li>Note: This reprinted article was originally part of the DevEdge site.</li>
</ul>
</div>
